"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlayerSendChatEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a player sends a free chat message. See {@link PlayerSendQuickChatEvent}
 * to listen for quick chat messages.
 *
 * Due to technical impossibilities, this event cannot be canceled or reverted.
 */
class PlayerSendChatEvent extends events_1.BasicEvent {
    constructor(room, player, message, 
    /**
     * The message that the player sent.
     */
    chatMessage) {
        super();
        this.room = room;
        this.player = player;
        this.message = message;
        this.chatMessage = chatMessage;
        this.eventName = "player.chat";
    }
}
exports.PlayerSendChatEvent = PlayerSendChatEvent;
PlayerSendChatEvent.eventName = "player.chat";
//# sourceMappingURL=SendChat.js.map