"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlayerStartMeetingEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a player (i.e. the host of the room) starts a meeting.
 */
class PlayerStartMeetingEvent extends events_1.BasicEvent {
    constructor(room, player, message, 
    /**
     * The player of the body that was reported, or "emergency" if the
     * meeting is an emergency meeting.
     */
    body) {
        super();
        this.room = room;
        this.player = player;
        this.message = message;
        this.body = body;
        this.eventName = "player.startmeeting";
    }
}
exports.PlayerStartMeetingEvent = PlayerStartMeetingEvent;
PlayerStartMeetingEvent.eventName = "player.startmeeting";
//# sourceMappingURL=StartMeeting.js.map