"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoomEndGameIntentEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a game end intent critera is fulfilled, and the game is planned
 * to end.
 *
 * Useful for canceling typical end game scenarios. See {@link RoomGameEndEvent}
 * to listen for an actual game end, and see {@link Hostable.registerEndGameIntent}
 * to register your own end game intent.
 */
class RoomEndGameIntentEvent extends events_1.CancelableEvent {
    constructor(room, intentName) {
        super();
        this.room = room;
        this.intentName = intentName;
        this.eventName = "room.endgameintent";
    }
}
exports.RoomEndGameIntentEvent = RoomEndGameIntentEvent;
RoomEndGameIntentEvent.eventName = "room.endgameintent";
//# sourceMappingURL=EndGameIntent.js.map