"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AutoOpenDoor = void 0;
const Door_1 = require("./Door");
/**
 * Represents an auto opening door for the {@link AutoDoorsSystem}.
 *
 * See {@link DoorEvents} for events to listen to.
 */
class AutoOpenDoor extends Door_1.Door {
    constructor(system, id, isOpen) {
        super(system, id, isOpen);
        this.system = system;
        this.id = id;
        this.timer = 0;
    }
    DoUpdate(delta) {
        this.timer -= delta;
        if (this.timer < 0) {
            this.system.openDoor(this.id);
            return true;
        }
        return false;
    }
}
exports.AutoOpenDoor = AutoOpenDoor;
//# sourceMappingURL=AutoOpenDoor.js.map